## org.apache.mahout.math
Class IndexException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.mahout.math.IndexException

All Implemented Interfaces:
  Serializable

    public class IndexException

extends IllegalArgumentException

Exception thrown when a matrix or vector is accessed at an index, or dimension, which does not logically exist in the entity.

See Also:
  Serialized Form

Constructor Summary
`IndexException(int index, int cardinality)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexException

    public IndexException(int index,
                          int cardinality)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.